Package org.springframework.security.web.webauthn.api

# Class PublicKeyCredential.PublicKeyCredentialBuilder<R extends AuthenticatorResponse>

java.lang.Object
org.springframework.security.web.webauthn.api.PublicKeyCredential.PublicKeyCredentialBuilder<R>

Type Parameters:
  `R` - the response type

Enclosing class:
  PublicKeyCredential<R extends AuthenticatorResponse>

public static final class PublicKeyCredential.PublicKeyCredentialBuilder<R extends AuthenticatorResponse> extends Object
The `PublicKeyCredential.PublicKeyCredentialBuilder`

Since:
  6.4

## Method Summary

Modifier and Type
Method
Description
`PublicKeyCredential.PublicKeyCredentialBuilder`
`authenticatorAttachment(AuthenticatorAttachment authenticatorAttachment)`
Sets the `PublicKeyCredential.getAuthenticatorAttachment()` property.
`PublicKeyCredential<R>`
`build()`
Creates a new `PublicKeyCredential`
`PublicKeyCredential.PublicKeyCredentialBuilder`
`clientExtensionResults(AuthenticationExtensionsClientOutputs clientExtensionResults)`
Sets the `PublicKeyCredential.getClientExtensionResults()` property.
`PublicKeyCredential.PublicKeyCredentialBuilder`
`id(String id)`
Sets the `PublicKeyCredential.getId()` property
`PublicKeyCredential.PublicKeyCredentialBuilder`
`rawId(Bytes rawId)`
Sets the `PublicKeyCredential.getRawId()` property.
`PublicKeyCredential.PublicKeyCredentialBuilder`
`response(R response)`
Sets the `PublicKeyCredential.getResponse()` property.
`PublicKeyCredential.PublicKeyCredentialBuilder`
`type(PublicKeyCredentialType type)`
Sets the `PublicKeyCredential.getType()` property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### id

public PublicKeyCredential.PublicKeyCredentialBuilder id(String id)
Sets the `PublicKeyCredential.getId()` property

Parameters:
  `id` - the id
Returns:
  the PublicKeyCredentialBuilder

### type

public PublicKeyCredential.PublicKeyCredentialBuilder type(PublicKeyCredentialType type)
Sets the `PublicKeyCredential.getType()` property.

Parameters:
  `type` - the type
Returns:
  the PublicKeyCredentialBuilder

### rawId

public PublicKeyCredential.PublicKeyCredentialBuilder rawId(Bytes rawId)
Sets the `PublicKeyCredential.getRawId()` property.

Parameters:
  `rawId` - the raw id
Returns:
  the PublicKeyCredentialBuilder

### response

public PublicKeyCredential.PublicKeyCredentialBuilder response(R response)
Sets the `PublicKeyCredential.getResponse()` property.

Parameters:
  `response` - the response
Returns:
  the PublicKeyCredentialBuilder

### authenticatorAttachment

public PublicKeyCredential.PublicKeyCredentialBuilder authenticatorAttachment(AuthenticatorAttachment authenticatorAttachment)
Sets the `PublicKeyCredential.getAuthenticatorAttachment()` property.

Parameters:
  `authenticatorAttachment` - the authenticator attachement
Returns:
  the PublicKeyCredentialBuilder

### clientExtensionResults

public PublicKeyCredential.PublicKeyCredentialBuilder clientExtensionResults(AuthenticationExtensionsClientOutputs clientExtensionResults)
Sets the `PublicKeyCredential.getClientExtensionResults()` property.

Parameters:
  `clientExtensionResults` - the client extension results
Returns:
  the PublicKeyCredentialBuilder

### build

public PublicKeyCredential<R> build()
Creates a new `PublicKeyCredential`

Returns:
  a new `PublicKeyCredential`